Mailinglist Archive: opensuse-factory (454 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20171201 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20171201

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
ImageMagick (7.0.7.10 -> 7.0.7.11)
MozillaFirefox
MozillaThunderbird (52.4.0 -> 52.5.0)
NetworkManager-applet (1.8.4 -> 1.8.6)
PackageKit
SuSEfirewall2 (3.6.369 -> 3.6.376)
aaa_base (13.2+git20170828.8f12a9e -> 84.87+git20171129.a45b936)
alsa
appstream-glib (0.7.2 -> 0.7.4+git.3)
apr-util
aqbanking
autofs
avahi
avahi-glib2
build (20171117 -> 20171128)
ca-certificates
corosync
crash
cronie
device-mapper (1.02.144 -> 1.02.145)
ebtables
eog (3.26.1 -> 3.26.2)
epiphany (3.26.2 -> 3.26.3)
exiv2
fillup
flatpak (0.9.8 -> 0.10.0)
flatpak-builder (0.9.8 -> 0.10.4)
fonts-config
gcc7
git
gmime (3.0.3 -> 3.0.4)
gnome-software (3.26.1 -> 3.26.3)
gnome-system-monitor
gpm
gtk3 (3.22.25 -> 3.22.26)
gvfs
i4l-base
icedtea-web
igerman98
installation-images-Kubic (14.343 -> 14.344)
irqbalance
ispell
issue-generator
kdebase4-workspace
krb5
libXScrnSaver
libXrandr
libXt
libdlm
libgsf (1.14.41 -> 1.14.42)
libinput (1.9.1 -> 1.9.2)
libreoffice (5.4.2.2 -> 5.4.3.2)
libtcnative-1-0 (1.2.4 -> 1.2.16)
libteam (1.26 -> 1.27)
libvirt
libzypp (16.17.3 -> 17.0.3)
lvm2 (2.02.175 -> 2.02.176)
mariadb (10.1.25 -> 10.2.10)
messagelib
mysql-connector-cpp
nautilus (3.26.0 -> 3.26.2)
nbd
ntp
openldap2
pam_ssh
pango (1.40.13 -> 1.40.14)
pcsc-lite
plasma5-workspace
polkit-default-privs
poppler (0.59.0 -> 0.61.1)
poppler-qt5 (0.59.0 -> 0.61.1)
postfix
pulseaudio
python (2.7.13 -> 2.7.14)
python-base (2.7.13 -> 2.7.14)
python-setuptools (36.7.2 -> 38.2.1)
python-sip
rp-pppoe
rpm
rubygem-cfa_grub2 (0.6.3 -> 0.6.5)
sendmail
subversion
systemd
totem
tracker (2.0.1 -> 2.0.2)
tracker-miners (2.0.2 -> 2.0.3)
unbound
update-alternatives
vala (0.38.2 -> 0.38.3)
vinagre
virt-manager
virtualbox
x11-tools
xdm
xen (4.10.0_01 -> 4.10.0_03)
xfce4-terminal (0.8.5.1 -> 0.8.6)
xinetd
xorg-x11-server
xscreensaver
yast2-apparmor (4.0.1 -> 4.0.2)
yast2-core (4.0.0 -> 4.0.1)
yast2-inetd (3.1.13 -> 4.0.0)
yast2-perl-bindings (3.2.0 -> 4.0.0)
yast2-ruby-bindings (4.0.0 -> 4.0.2)
yast2-users (4.0.0 -> 4.0.1)
ypbind
zenity (3.24.0 -> 3.26.0)
zypper (1.13.37 -> 1.14.0)
zypper-lifecycle-plugin

=== Details ===

==== ImageMagick ====
Version update (7.0.7.10 -> 7.0.7.11)
Subpackages: ImageMagick-devel ImageMagick-extra libMagick++-7_Q16HDRI3
libMagickCore-7_Q16HDRI4 libMagickWand-7_Q16HDRI4 perl-PerlMagick

- update to 7.0.7-11
* no upstream change log in ChangeLog, as usually would be, except
Release ImageMagick version 7.0.7-11,
GIT revision 21635:0447c6b46:20171111

==== MozillaFirefox ====
Subpackages: MozillaFirefox-translations-common

- Add mozilla-bmo1360278.patch
Starting with Firefox 57, the context menu appears on key press.
This patch creates a config entry to restore the
old behaviour. Without the patch, the mouse gesture extensions
require 2 clicks to work (bmo#1360278).
The new config entry is named ui.context_menus.after_mouseup
(default : false).
- Allow experimental CSD for Gtk3 (bmo#1399611) if available and enabled
widget.allow-client-side-decoration=true
(mozilla-bmo1399611-csd.patch)

==== MozillaThunderbird ====
Version update (52.4.0 -> 52.5.0)
Subpackages: MozillaThunderbird-translations-common

- update to Thunderbird 52.5.0 (bsc#1068101)
* Better support for Charter/Spectrum IMAP: Thunderbird will now
detect Charter's IMAP service and send an additional IMAP select
command to the server. Check the various preferences ending in
"force_select" to see whether auto-detection has discovered this case.
* In search folders spanning multiple base folders clicking on a
message sometimes marked another message as read
* IMAP alerts have been corrected and now show the correct server
name in case of connection problems
* POP alerts have been corrected and now indicate connection problems
in case the configured POP server cannot be found
MFSA 2017-26
* CVE-2017-7828 (bmo#1406750. bmo#1412252)
Use-after-free of PressShell while restyling layout
* CVE-2017-7830 (bmo#1408990)
Cross-origin URL information leak through Resource Timing API
* CVE-2017-7826
Memory safety bugs fixed in Firefox 57 and Firefox ESR 52.5
- Drop obsolete libgnomeui-devel BuildRequires: No longer needed.
- Add explicit pkgconfig(gconf-2.0), pkgconfig(gobject-2.0),
pkgconfig(gtk+-2.0), pkgconfig(gtk+-unix-print-2.0),
pkgconfig(glib-2.0), pkgconfig(gobject-2.0) and
pkgconfig(gdk-x11-2.0) BuildRequires: Previously pulled in by
libgnomeui-devel, and is what configure really checks for.

==== NetworkManager-applet ====
Version update (1.8.4 -> 1.8.6)
Subpackages: NetworkManager-applet-lang NetworkManager-connection-editor
libnm-gtk0 libnma0 nma-data typelib-1_0-NMGtk-1_0

- Migrate build system to meson:
+ Add meson and gtk-doc BuildRequires.
+ Replace configure/make/make_install logic with
meson/meson_build/meson_install.
- Disable glib_schema, icon_theme and desktop_database post/postun
scriptlets for suse_version >= 1330: handled by file triggers.
- Add
0001-build-meson-fix-typo-in-generation-of-libnm-gtk.pc.patch:
Fix typo in generation of libnm-gtk.pc (bgo#790056).
- Update to version 1.8.6:
+ Added an option to build with Meson build system.
+ Fixed a possible crash after editing Wi-Fi connections.
+ Updated translations.

==== PackageKit ====
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module PackageKit-lang libpackagekit-glib2-18
typelib-1_0-PackageKitGlib-1_0

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== SuSEfirewall2 ====
Version update (3.6.369 -> 3.6.376)

- logging: correctly set the PID of the logging process
- main script: remove duplicate rules in the rpc rules area (bnc#1069760)
- main script: support --trace messages
- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== aaa_base ====
Version update (13.2+git20170828.8f12a9e -> 84.87+git20171129.a45b936)
Subpackages: aaa_base-extras

- Update to version 84.87+git20171129.a45b936:
* Remove RC_* variables from language sysconf template
(bsc#1069971 as well as FATE#319454)
- Update to version 84.87+git20171128.945b960:
* lang.(c)sh: catch if ROOT_USES_LANG becomes not set
- Update to version 84.87+git20171128.aa232d3:
* Add wsl specific code to profile.d/wsl.csh
* move wsl specific code from profile into profile.d/wsl.sh
* Remove obsolete "make package"
- Update to version 84.87+git20171128.a6752e8:
* lang.(c)sh: handle locale.conf if sysconfig does not
- lang.(c)sh: handle locale.conf if sysconfig does not provide
default locale (bsc#1069971, FATE#319454)
- Update to version 84.87+git20171128.17ae554:
* Check for /proc/version before using it
* Remove legacy code for /proc/iSeries
* Move fillup-templates to /usr/share (boo#1069468)
- Fix installation of fillup-templates.
- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)
- use TW versioning, 13.2 is misleading
- Update to version 84.87+git20171120.d36b8b1:
* Fix double sourcing of /etc/bash_completion.d
* create wsl.sh in /etc/profile.d to set umask in WSL
* Add support for /usr/bin/fish (boo#1068840)
* Get mixed use case of service wrapper script straight (bsc#1040613)

==== alsa ====
Subpackages: alsa-devel libasound2 libasound2-32bit

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== appstream-glib ====
Version update (0.7.2 -> 0.7.4+git.3)
Subpackages: appstream-glib-lang libappstream-builder8 libappstream-glib8

- Update to version 0.7.4+git.3:
+ Do not try to extract duplicate files in the icon theme
packages.
+ Fix the arithmetic when fitting an image in 16:9
- Update to version 0.7.4:
+ trivial: Disable the fonts self tests in the builder
- Update to version 0.7.3+git.20171103 (f230c8):
+ Only try to set the file permissions on regular files.
+ Add the 'hardware' requires type.
- Update to version 0.7.3:
+ Add support for URL launchable types
+ Prefer /usr/share/metainfo as default path for metainfo files
+ Do not assign "flatpak" as an app's origin when no origin was
found.
+ Add as_app_get_release_by_version().
+ lib/app-validate: Fix typo in variable name.
+ Write XML for newer AppStream specification versions.
+ Add as_app_get_screenshot_default().
+ Add AS_VERSION_PARSE_FLAG_USE_BCD when formatting version
strings.
+ Add new launchable types from the 0.11 series of the spec.
+ Fix the inode mode to be sane on extracted files.

==== apr-util ====
Subpackages: apr-util-devel libapr-util1

- Add apr-util-mariadb-10.2.patch: Fix detection / build with
MariaDB 10.2.

==== aqbanking ====
Subpackages: aqbanking-devel aqbanking-lang

- Drop --with-qt4-libs configure parameter: no longer understood by
configure.
- Remove libqt4-devel BuildRequires: since --with-qt4-libs is not
understood anyway, we do not require the libst.

==== autofs ====

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== avahi ====
Subpackages: avahi-compat-mDNSResponder-devel libavahi-client3
libavahi-client3-32bit libavahi-common3 libavahi-common3-32bit libavahi-core7
libavahi-devel libdns_sd

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== avahi-glib2 ====
Subpackages: libavahi-glib1 libavahi-gobject0 libavahi-ui-gtk3-0

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== build ====
Version update (20171117 -> 20171128)
Subpackages: build-mkbaselibs build-mkdrpms

- Fixed Dockerfile repository parsing
- Improve file name check extractbuild
- track release number of containers
- Define SOURCEURL and PATCHURL macros
- Keep preinstalled packages
- add libidn2 and libunistring to preinstall for archlinux
- buildignore the sle flavor of mkbaselibs for sle

==== ca-certificates ====

- Don't require systemd, since we could be used in environments
like container images, where we don't have systemd. If systemd
is installed the systemd units will be used, else they are not
needed.

==== corosync ====
Subpackages: libcmap4 libcorosync_common4

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== crash ====

- Added crash-x86_64_kvtop-usable-symtab_init.patch to change
x86_64_kvtop() so that it can be called during symtab_init()
Added crash-allow-use-of-sadump-captured-KASLR-kernel.patch to
allow use of dumps of KASLR enabled kernels that were captured
by sadump.
Both are bsc#1070278/FATE#323473

==== cronie ====
Subpackages: cron

- Requires mail as it's really needed by cron-crons script, not
smtp_daemon [bsc#1070565] [bsc#1064834]

==== device-mapper ====
Version update (1.02.144 -> 1.02.145)
Subpackages: libdevmapper-event1_03 libdevmapper1_03 libdevmapper1_03-32bit

- Update to LVM2.2.02.176:
Keep Install section only in lvm2-{lvmetad,lvmpolld}.socket systemd unit.
Fix segfault in lvm_pv_remove in liblvm. (2.02.173)
Do not allow storing VG metadata with LV without any segment.
Fix printed message when thin snapshot was already merged.
Remove created spare LV when creation of thin-pool failed.
Avoid reading ignored metadata when mda gets used again.
Fix detection of moved PVs in vgsplit. (2.02.175)
Ignore --stripes/--stripesize on RAID takeover
Improve used paths for generated systemd units and init shells.
Disallow creation of snapshot of mirror/raid subLV (was never supported).
Fix regression in more advanced vgname extraction in lvconvert (2.02.169).
Allow lvcreate to be used for caching of _tdata LV.
Avoid internal error when resizing cache type _tdata LV (not yet supported).
Show original converted names when lvconverting LV to pool volume.
Move lib code used only by liblvm into metadata-liblvm.c.
Distinguish between device not found and excluded by filter.
Monitor external origin LVs.
Remove the replicator code, including configure --with-replicators.
Allow lvcreate --type mirror to work with 100%FREE.
Improve selection of resource name for complex volume activation lock.
Avoid cutting first character of resource name for activation lock.
Support for encrypted devices in fsadm.
Improve thin pool overprovisioning and repair warning messages.
Fix incorrect adjustment of region size on striped RaidLVs.
- Drop: bug-960044_lvm2-lvmetad.service-add-Also-lvm2-lvmetad.socket.patch
- Refresh: fate-31841_fsadm-add-support-for-btrfs.patch

==== ebtables ====

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== eog ====
Version update (3.26.1 -> 3.26.2)
Subpackages: eog-lang

- Update to version 3.26.2:
+ Bug fix: bgo#788582, Wrong line endings and broken tags in
eog's help.
+ Updated translations.
- Drop eog-spanish-translations.patch: Fixed upstream.

==== epiphany ====
Version update (3.26.2 -> 3.26.3)
Subpackages: epiphany-lang gnome-shell-search-provider-epiphany

- Update to version 3.26.3:
+ Don't require gvfsd-http for downloading adblock filters
(bgo#776682).
+ Several improvements to Sync support (bgo#789656, bgo#789786,
bgo#790286).
+ Make downloads work when running in flatpak (bgo#785655).
+ Do not add bookmarks to unrelated tag view popovers
(bgo#788584).
+ Fix middle click on forward/back buttons (bgo#790017).
+ "Search the Web for ..." context menu option now switches to
new tab (bgo#790693).
- Drop update-desktop-files BuildRequires and no longer use
suse_update_desktop_file macro, no longer needed.

==== exiv2 ====

- split developer documentation into separate package

==== fillup ====

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== flatpak ====
Version update (0.9.8 -> 0.10.0)

- Update to version 0.10.0:
+ Added the flatpak config option which can set the language
settings.
+ Fix issue where sometimes ld.so.conf were not generated.
+ /dev/mali0 is added to --device=dri.
+ Work around ostree static delta issues in some cases.
- Changes from version 0.9.99:
+ Requires ostree 2017.12 for important pull stability fix.
+ New libflatpak API: flatpak_dir_cleanup_undeployed_refs,
flatpak_installation_prune_local_repo,
flatpak_installation_remove_local_ref_sync,
flatpak_installation_cleanup_local_refs_sync.
+ build: FLATPAK_ID and FLATPAK_ARCH are now set in the
environment when building.
+ update: Don't fail the entire update if some remote fails to
update its metadata.
+ run: /.flatpak-info now lists exact commits and extensions in
use.
+ run: We now use a per-app ld.so.cache file whenn running. This
should speed things up, and allows ldconfig to report the
correct results.
+ The verbose mode was changed into two levels, use -vv to show
the more detailed info, which currently only contains the full
bubblewrap argument lists.
+ run: Some common problematic host environment variables are now
unset in the sandbox (PYTHONPATH, PERLLIB, PERL5LIB and
XCURSOR_PATH).
+ run: Fixed failure when a higher prio extensions depended on a
lower prio one.
+ run: The extension ld path order is now: app extensions, app,
runtime extension, runtime. This was previously incorrect in
that the app could override app extensions.
+ Extensions are now not downloaded if a matching unmaintained
extension is already installed.
+ Preemptive changes to handle new bubblewrap change which
doesn't user /newroot.
+ document portal: Disable debug spew that was accidentally
enabled.
+ build-finish: New --extension-priority option.
+ run: Fix regression in --persist in 0.9.98.
+ run: Use sealed memfds (instead of just temporary files) when
passing data to bubblewrap.
+ Updated translations.
- Changes from version 0.9.98.2:
+ Fix permission denied when using the system-helper.
- Changes from version 0.9.98.1:
+ run: Fix homedir access if the app has --filesystem=host
access.
+ build-update: Fix appstream update in case one arch didn't
change.
+ Updated translations.
- Changes from version 0.9.98:
+ libflatpak now correctly finds metadata for subset
installations (like locale data).
+ flatpak build now supports --appdir which exposes the per-app
directory in the user homedir. This is useful when testing
builds.
+ The host fontconfig caches are exposed to the sandbox, next to
the fonts in /run/host. This will (pending fontconfig work)
allow sharing host fontconfig caches, allowing much faster
initial startup for flatpak apps.
+ flatpak install now supports --no-pull.
+ Added new extension property "locale-subset", which makes the
extension point act like a locale extension (i.e. only install
the subset configured by the locale).
+ flatpak remote-add --oci is disabled for now, as this is not up
to date with the latest OCI work, and we don't want to break
existing deployments if this has to change when this lands.
+ Parallel installation/updates are now safe because we take a
filesystem lock whenever we prune the local ostree repo.
+ Flatpak run now works when important paths like $HOME, etc, are
symlinks.
+ The ostree min-free-space property is is set to zero by default
for the flatpak repos. This was causing a lot of problems for
people, but the feature is still there if you manually enable
it.
+ Updated translations.
+ Require ostree 2017.12.

==== flatpak-builder ====
Version update (0.9.8 -> 0.10.4)

- Update to version 0.10.4:
+ Fixed source bundling of git repos with older versions of git.
+ Allow git sources to use "HEAD" branch.
+ Fixed crashes in some cases of git failure.
- Update to version 0.10.3:
+ Yet more fixed or older versions of git. In particular, we
disable fsck during transfer when doing a shallow clone and the
git version is less than 1.8.3.2.
- Changes from version 0.10.2:
+ Even more fixes for shallow git clones with older versions of
git.
+ New property for git sources, disable-shallow-clone which falls
back to cloning the entire remote.
- Changes from version 0.10.1:
+ Fix handling of shallow git clones with older versions of git.
+ Fix issue where flatpak-builder --run could exit if some thread
in the parent process exited, exposeb by e.g. gnome-builder.
- Changes from version 0.10.0:
+ We now do shallow clones of git repos when downloading if
possible.
+ The way the cache works internally was slightly tweaked which
will cause all existing caches to be rebuilt.
- Changes from version 0.9.99:
+ Fix git source bundling on older git version.
+ New property: appdata-license lets you easily modify the
appstream license field.
+ New source type "extra-data" which makes it easier to use
extra-data apps.
+ We now automatically compress debuginfo unless the
no-debuginfo-compression option is specified.
+ Appstream files called .metainfo.xml are now recognized.
+ New prepare-platform-commands property, similar
to cleanup-platform-commands, but run before importing all the
changes from the SDK.
+ We now apply all the deletions that happened in the SDK on the
base when creating the platform.
- Changes from version 0.9.98:
+ build cache hits are now faster.
+ git sources have a new property "tag" which works the same as
"branch", but improves readability when referencing a git tag.
+ flatpak-builder --run now passes --with-appdir which is useful
when testing uninstalled builds.
+ When bundling git repos in .Sources we now make a shallow clone
which uses a lot less space.
+ .Locale extensions now always set the new locale-subset
property.
+ locale-subset is supported in the add-extension property.
+ build-options now also supports make-args and make-install
args, which allows per-arch make flags.
- Bump pkgconfig(flatpak) BuildRequires to 0.10.0.
- Bump pkgconfig(ostree-1) BuildRequires to 2017.12.
- Initial build for openSUSE, version 0.9.11.

==== fonts-config ====

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== gcc7 ====
Subpackages: cpp7 gcc7-c++ gcc7-fortran gcc7-info gcc7-locale gcc7-objc
libasan4 libatomic1 libcilkrts5 libgcc_s1 libgcc_s1-32bit libgfortran4 libgomp1
libitm1 liblsan0 libmpx2 libmpxwrappers2 libobjc4 libquadmath0 libstdc++6
libstdc++6-32bit libstdc++6-devel-gcc7 libstdc++6-locale libtsan0 libubsan0

- Add gcc7-pr82248.diff to fix bogus stack probe instruction on ARM.
[bnc#1068967]

==== git ====
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== gmime ====
Version update (3.0.3 -> 3.0.4)

- Update to version 3.0.4:
+ No changes visible for the user.
- Drop gmime-fix-build-failure.patch: fixed upstream.

==== gnome-software ====
Version update (3.26.1 -> 3.26.3)
Subpackages: gnome-software-lang

- Update to version 3.26.3:
+ Fix a common crash in the fwupd plugin.
+ Make category translations on the details page show up.
+ Updated translations.
- Changes from version 3.26.2:
+ Various fixes to cancellable handling, making it more robust
to cancel install/remove operations.
+ Fix a common crash in Fedora distro upgrades plugin.
+ Fix showing N+2 Fedora upgrades.
+ Fix flatpak updates inadvertently triggering a reboot.
+ Revert plugin GType registering changes that broke app
"adopting".
+ Various flatpak plugin fixes.
+ Various snap plugin fixes.
+ Bump fwupd required dep to 0.9.7 and support building with new
1.0.0 API.
+ Avoid erroring out for operations that return more than 500
results (distro upgrades, getting gnome-shell extensions
list).
+ Fix a few memory leaks.
+ Updated translations.
- Enable fwupd; introduces BuildRequires on pkgconfig(fwupd) >=
0.9.7.
- Remove the enable-firmware switch from the meson build options;
this option has been dropped by upstream.

==== gnome-system-monitor ====
Subpackages: gnome-system-monitor-lang

- Add gsm-fix-inaccurate-cpu-values.patch: fix inaccurate %CPU
values in the Processes table (bgo#788922).

==== gpm ====
Subpackages: libgpm2

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== gtk3 ====
Version update (3.22.25 -> 3.22.26)
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-vietnamese gtk3-immodule-xim gtk3-lang
gtk3-tools libgtk-3-0 typelib-1_0-Gtk-3_0

- Update to version 3.22.26:
+ Bugs fixed: bgo#785176, bgo#787142, bgo#788898, bgo#789134,
bgo#789213, bgo#789630, bgo#789678, bgo#789733.
+ Updated translations.
- Drop gtk3-wayland-distribute-server-decoration-xml.patch: fixed
upstream.
- Comment gnome-common Buildrequires and call to autogen.sh again:
no currently applied patch changes the build system.

==== gvfs ====
Subpackages: gvfs-backend-afc gvfs-backend-samba gvfs-backends gvfs-fuse
gvfs-lang

- Disable caps(cap_net_bind_service=+ep) from gvfsd-nfs: this is
not acceptable from a security PoV, see boo#1065864#c6).
- Add gvfs-mtp-handle-read-past-eof.patch: fix hang when
transferring on some Android devices (boo#1069030 bgo#784477).

==== i4l-base ====
Subpackages: i4l-isdnlog libcapi20-3

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== icedtea-web ====
Subpackages: icedtea-web-javadoc

- Modified patch:
* icedtea-web-jdk10.patch
+ more future-proof determination of java version

==== igerman98 ====

- remove aspell dictionaries [bsc#1052951]

==== installation-images-Kubic ====
Version update (14.343 -> 14.344)

- merge gh#openSUSE/installation-images#219
- add gpg-agent to instsys (bsc#1067992)
- 14.344

==== irqbalance ====

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== ispell ====
Subpackages: ispell-american ispell-british

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== issue-generator ====

- Use official systemd macros in %post install
- Don't require systemd: if it's there, we will use it, if it is
not there like in a base container image, there is nothing to do
for us.
- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== kdebase4-workspace ====
Subpackages: kdebase4-workspace-libs python-kdebase4

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== krb5 ====
Subpackages: krb5-32bit krb5-devel krb5-server

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== libXScrnSaver ====
Subpackages: libXss1 libXss1-32bit

- Add U_libXScrnSaver_copy_root_field.patch: Copy root field from
wire event into root, not window, of Xlib event.

==== libXrandr ====
Subpackages: libXrandr2 libXrandr2-32bit

- Add U_libXrandr_fix-memory-leak.patch: Fix memory leak on error
paths.
- Drop unneeded autoconf, automake and libtool BuildRequires and no
longer pass autoreconf.

==== libXt ====
Subpackages: libXt-devel libXt6

- Add U_libXt_code-cleanup.patch: Get rid of some extraneous ; at
the end of C source lines.
- Drop unneeded autoconf, automake and libtool BuildRequires.

==== libdlm ====

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== libgsf ====
Version update (1.14.41 -> 1.14.42)
Subpackages: gsf-office-thumbnailer libgsf-1-114 libgsf-devel typelib-1_0-Gsf-1

- Update to version 1.14.42:
+ Fix GsfInputTextline's file location management.
+ doc/Makefile.am fix for gtkdoc-scangobj.
- Drop %clean section as its use is obsolete since RPM do this job
now.
- Add pkgconfig(gobject-2.0) BuildRequires: it was already being
used and pulled along with the ever declared pkgconfig(glib-2.0)
since they live in the same devel package.
- Abreviate packages summaries as they were too long.

==== libinput ====
Version update (1.9.1 -> 1.9.2)
Subpackages: libinput-udev libinput10

- Update to new upstream release 1.9.2
* Support for multiple paired keyboards for
disable-while-typing. This is required for some of Razer's
products where the keyboard exports multiple virtually
identical event nodes.

==== libreoffice ====
Version update (5.4.2.2 -> 5.4.3.2)
Subpackages: libreoffice-base libreoffice-base-drivers-mysql
libreoffice-branding-upstream libreoffice-calc libreoffice-draw
libreoffice-filters-optional libreoffice-gnome libreoffice-gtk3
libreoffice-icon-theme-breeze libreoffice-icon-theme-galaxy
libreoffice-icon-theme-hicontrast libreoffice-icon-theme-sifr
libreoffice-icon-theme-tango libreoffice-impress libreoffice-l10n-cs
libreoffice-l10n-da libreoffice-l10n-de libreoffice-l10n-el libreoffice-l10n-en
libreoffice-l10n-es libreoffice-l10n-fr libreoffice-l10n-hu libreoffice-l10n-it
libreoffice-l10n-ja libreoffice-l10n-pl libreoffice-l10n-pt_BR
libreoffice-l10n-ru libreoffice-l10n-zh_CN libreoffice-l10n-zh_TW
libreoffice-mailmerge libreoffice-math libreoffice-pyuno libreoffice-writer
libreofficekit

- Version update to release 5.4.3.2:
* Various fixes in 5.4 branch
- Disable the CppunitTest_desktop_lib as it fails on the utf encoding

==== libtcnative-1-0 ====
Version update (1.2.4 -> 1.2.16)

- Version update to version 1.2.16:
* See changelog.html for in-depth upstream changes
* Fixes build breakage with newer version of openssl

==== libteam ====
Version update (1.26 -> 1.27)

- allow send_interface in dbus conf file for wicked.
[+ 0001-allow-send_interface-dbus.patch]
- Update to new upstream release 1.27
* teamd: escape some sensitive characters in ifname with
double quotation marks
* libteam: resynchronize ifinfo after lost RTNLGRP_LINK
notifications
* teamd: check port link_up when a port is added with
loadbalance runner
- Do not suppress errors from useradd
- sync with SLES changes(bsc#1055708)
* Add check_if_psr_ops_were_initialized.patch:
* * Fix teamd segfault when link_watch initialization callbacks fail
(e.g. lw_psr_port_added() in case of activebackup runner) due to
an attempt to change hwaddr on an enslaved, link up port device.
Note: enslavement triggers initialization callbacks.
* Add ignore_ebusy_for_team_hwaddr_set.patch:
* * Make PortAdd and PortRemove dbus methods work for all runners.
Ignore attempts to change hwaddr of an already enslaved devices.
(fate#318389,fate#317728,fate#316923)
- Add start_teamd_from_usr_sbin.patch:
* Modify service file to start teamd instance from /usr/sbin.

==== libvirt ====
Subpackages: libvirt-client libvirt-daemon libvirt-daemon-config-network
libvirt-daemon-config-nwfilter libvirt-daemon-driver-interface
libvirt-daemon-driver-libxl libvirt-daemon-driver-lxc
libvirt-daemon-driver-network libvirt-daemon-driver-nodedev
libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu
libvirt-daemon-driver-secret libvirt-daemon-driver-storage
libvirt-daemon-driver-storage-core libvirt-daemon-driver-storage-disk
libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-logical
libvirt-daemon-driver-storage-mpath libvirt-daemon-driver-storage-rbd
libvirt-daemon-driver-storage-scsi libvirt-daemon-driver-uml
libvirt-daemon-driver-vbox libvirt-daemon-lxc libvirt-daemon-qemu
libvirt-daemon-xen libvirt-libs

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)
- spec: Add BuildRequires for libtirpc-devel in preparation of
removal of sunrpc from glibc
- build: Use XDR_CFLAGS in more places
74a13be4-xdr-flags.patch
- Replace hardcoded libvirt with Name tag when refering to subpkgs
- Remove dependencies to /bin/sh in libs and nss %post scripts

==== libzypp ====
Version update (16.17.3 -> 17.0.3)

- When importing multiple keys, export the individual keys
ascii armored for import into the rpmdb (bsc#1069381)
- version 17.0.3 (0)
- Don't filter procs with a different mnt namespace (bsc#1068708)
- Support repo variables in an URIs host:port component
(bsc#1057640, bsc#1067605)
- version 17.0.2 (0)
- Solvable: fix inconsistent retrieval of mediaNr (bsc#1065677)
- version 17.0.1 (0)
- Locale: Fix possible segfault (bsc#1064999)
- RpmDb: Remove excess keys in the zypp keyring when exporting keys only
(bsc#1064380)
- KeyRing: Fix deleted keys not removed from rpmdb too (bsc#1064380)
- Flag gpg keycache dirty when adding/removing keys (bsc#1064380)
- Version 17.x for CODE-15, 16.x. is continued on SuSE-SLE-12-SP2-Branch
- version 17.0.0 (0)

==== lvm2 ====
Version update (2.02.175 -> 2.02.176)
Subpackages: liblvm2app2_2 liblvm2cmd2_02

- Update to LVM2.2.02.176:
Keep Install section only in lvm2-{lvmetad,lvmpolld}.socket systemd unit.
Fix segfault in lvm_pv_remove in liblvm. (2.02.173)
Do not allow storing VG metadata with LV without any segment.
Fix printed message when thin snapshot was already merged.
Remove created spare LV when creation of thin-pool failed.
Avoid reading ignored metadata when mda gets used again.
Fix detection of moved PVs in vgsplit. (2.02.175)
Ignore --stripes/--stripesize on RAID takeover
Improve used paths for generated systemd units and init shells.
Disallow creation of snapshot of mirror/raid subLV (was never supported).
Fix regression in more advanced vgname extraction in lvconvert (2.02.169).
Allow lvcreate to be used for caching of _tdata LV.
Avoid internal error when resizing cache type _tdata LV (not yet supported).
Show original converted names when lvconverting LV to pool volume.
Move lib code used only by liblvm into metadata-liblvm.c.
Distinguish between device not found and excluded by filter.
Monitor external origin LVs.
Remove the replicator code, including configure --with-replicators.
Allow lvcreate --type mirror to work with 100%FREE.
Improve selection of resource name for complex volume activation lock.
Avoid cutting first character of resource name for activation lock.
Support for encrypted devices in fsadm.
Improve thin pool overprovisioning and repair warning messages.
Fix incorrect adjustment of region size on striped RaidLVs.
- Drop: bug-960044_lvm2-lvmetad.service-add-Also-lvm2-lvmetad.socket.patch
- Refresh: fate-31841_fsadm-add-support-for-btrfs.patch

==== mariadb ====
Version update (10.1.25 -> 10.2.10)
Subpackages: mariadb-client mariadb-errormessages

- Disable openssl compatibility checking
* the check uses CRYPTO_set_mem_functions() to set debugging
memory allocation function. The setting only succeeds if no allocation
was done before. Our fips self-tests, which are run from the library
constructor, however, do allocate memory, so the subsequent call to
CRYPTO_set_mem_functions causes the compatibility check to fail
* add mariadb-10.2.10-disable_openssl_compatibility_check.patch
- update to 10.2.10 GA
* release notes and changelogs
https://downloads.mariadb.org/mariadb/+releases/
* fixes for the following security vulnerabilities
* 10.2.10: CVE-2017-10378, CVE-2017-10268
* 10.2.8: CVE-2017-3636, CVE-2017-3641, CVE-2017-3653,
CVE-2017-10320, CVE-2017-10365, CVE-2017-10379,
CVE-2017-10384, CVE-2017-10286, CVE-2017-3257
* 10.2.6: CVE-2017-3308, CVE-2017-3309, CVE-2017-3453,
CVE-2017-3456, CVE-2017-3464
* 10.2.5: CVE-2017-3313, CVE-2017-3302
* [bsc#1042632], [bsc#1043328], [bsc#1019948], [fate#323738]
- refresh and rename the following patches:
* mariadb-10.1.4-group.patch to
mariadb-10.2.3-group.patch
* mariadb-10.1.16-systemd-cmake.patch to
mariadb-10.2.8-systemd-cmake.patch
* mariadb-10.1.18-mysql_install_db-mariadb_dirs.patch to
mariadb-10.2.3-mysql_install_db-mariadb_dirs.patch
* mariadb-10.1.12-fortify-and-O.patch to
mariadb-10.2.4-fortify-and-O.patch
* mysql-community-server-5.1.46-logrotate.patch to
mariadb-10.2.4-logrotate.patch
- add mariadb-10.2.10.tar.gz.sig signature and mariadb.keyring files
- start building without client library part, use
mariadb-connector-c for getting libmariadb libraries. Remove
libmysclient* packages
- remove baselibs.conf because we no longer build client libraries
here
- update %{soname} to 19 (libmysqld soname)
- change '=' to '>=' in Requires:mariadb-errormessages for
libmysqld%{soname}. Versioned libraries shouldn't require regular
packages with '='. It also causes problems during update (Problem:
libmysqld18-10.1.25-3.1.x86_64 requires mariadb-errormessages = 10.1.25,
but this requirement cannot be provided).
Also add "Provides: mariadb-errormessages = 10.1.25" for errormessages
subpackage that solves this problem for the current update.
- pack new files, remove mysql specific files
- remove README.SUSE as it was outdated
- package cleaning
* run spec-cleaner
* renumber sources
* reorganize subpackages order and update summaries, descriptions
and groups
* tweak and add some comments to the specfile
* remove warning about mysql-packaging repository that is no longer
used for this package
* remove checks whether we build mysql or mariadb (we build mariadb
only)
- add galera subpackage
* add missing "Requires:" (lsof, net-tools, rsync, socat,
xtrabackup) for proper wsrep scripts functionality
* add mariadb-10.2.9-galera_cnf.patch that enhances galera.cnf
configuration file (add wsrep_on=OFF and set the location
of the wsrep library)
* rename README-wsrep to README.wsrep so it corresponds with the
other README names
* move galera_new_cluster, galera_recovery,
use_galera_new_cluster.conf, wsrep_* scripts to the galera
subpackage
- remove the following macros definitions:
* %{_tmpfilesdir} - it's been defined in systemd macros since
openSUSE 13.2
* %{preferred} - we no longer need to distinguish between preferred
and not preferred version (we build mariadb only)
* %{with_mandatory_lz4} - mysql specific
* %{build_extras}, %{pretty_name}, %{build_readline},
%{builtin_plugins} and {libname} - they are no longer needed
- add the following macros
* %{run_testsuite} macro that controls the run of the regression
testsuite
* %{ignore_testsuite_result} macro - when set to 1 it ignores
results from the regression testsuite (debug purposes)
* %{with_mroonga} macro (enable mroonga build for x86_64 archs only)
- rename %{with_jemalloc} to %{with_tokudb} and enable tokudb for
x86_64 architectures for openSUSE and SLE15 [fate#323280]. Don't
enable it for SLE12 (missing jemalloc dependency)
- add the following BuildRequires:
* unixODBC-devel to allow ODBC support for Connect engine [bsc#1039034]
* krb5-devel to build auth_gssapi.so plugin
* libarchive-devel
* use libboost_headers-devel instead of boost-devel for TW. Boost
package has been split up and will migrate to using multibuild.
This results in packages that unnecessarily build require
boost-devel to cause major bottlenecks [bsc#1062583]
- do not use "BuildRequires: lzo-devel" for i586 and arm because
it makes build fail
- add the following Requires:
* hostname - as mariadb_install_db depends on this tool [bsc#1060110]
* libaio-devel for libmysqld-devel because libmysqld depends
on libaio
- tweak build options:
* remove "DWITH_ASAN=OFF" - this option was added because of mysql
and it's no longer needed
* switch from "-DWITH_JEMALLOC=auto" to "-DWITH_JEMALLOC=system"
* use "DCMAKE_SKIP_INSTALL_RPATH" - this allows to link with -rpath
during build and fixes quite a few test suite failures. When
installing the file -rpath is still disabled, so this should
not have any effect on the installed binaries
* add "-DWITH_LIBARCHIVE=ON" and "-DWITH_MARIABACKUP=ON"
* remove -DWITH_BOOST=../boost/ as we use system boost now
- enable OQGRAPH to build (openSUSE only, SLE is missing Judy
requirement)
- disable Cassandra storage engine build as it's no longer actively
being developed (See MDEV-4695) [bsc#1055165]
* Remove "BuildRequires: libthrift-devel" and %{with_cassandra}
macros that are no longer needed now
- disable make test (Connector/C unit tests) as it requires a
running server. These tests are part of mysql-test-run
now (MDEV-12470)
- add suse_skipped_tests.list - the list of the tests that we want
to skip (they fail correctly or the fix is in progress)
* adjust mysql-test-run options to skip tests listed there
[bsc#1041891]
- remove mytop utility that is packaged separately
- remove *.jar files from mysql-test
- remove python scripts remains from tokudb upstream
- remove generating of the MySQL NDB Cluster filelists
- remove removing of manpages for MySQL Carrier Grade Edition
- provide a symlink for the my_safe_process executable that was
moved from its location to bindir
- update filename in /var/adm/update-messages to match
documentation and build-compare pattern
- README is now README.md
- fix "file listed twice" build error
- Also Require: libopenssl-1_0_0-devel from the libmysqlclient-devel package

==== messagelib ====
Subpackages: messagelib-lang

- Add fix-richtext-saving.patch: fix the state of rich text saving
in KMail's composer (kde#386660)

==== mysql-connector-cpp ====

- add mysql-connector-cpp-1.1.9-libmysql_dynamic_proxy_typos.patch
to fix build by fixing copypaste errors in
libmysql_dynamic_proxy.cpp file [bsc#1067883]
- remove mariadb_api.patch that it's no longer needed because:
* our current client library already provides mysql_get_option()
* using MARIADB_BASE_VERSION is no longer working as intended as
it's not defined in mariadb client library provided by
mariadb-connector-c
* hunk for stmt_free_result() was moved to
mysql-connector-cpp-1.1.9-libmysql_dynamic_proxy_typos.patch

==== nautilus ====
Version update (3.26.0 -> 3.26.2)
Subpackages: gnome-shell-search-provider-nautilus libnautilus-extension1
nautilus-lang

- Update to version 3.26.2:
+ Fix crash in list view when expanding folders.

==== nbd ====

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== ntp ====
Subpackages: ntp-doc

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== openldap2 ====
Subpackages: libldap-2_4-2 libldap-2_4-2-32bit libldap-data openldap2-client
openldap2-devel

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== pam_ssh ====
Subpackages: pam_ssh-32bit

- Explicitly call autoreconf: an implicit call requires the same
version automake/autoconf to be present that was used to
originally bootstrap the tarball (version 1.13).
- Add support for building with OpenSSL 1.1 (bsc#1066988)
* partly based on https://github.com/openssh/openssh-portable/pull/48
* add pam_ssh-openssl11.patch

==== pango ====
Version update (1.40.13 -> 1.40.14)
Subpackages: libpango-1_0-0 libpango-1_0-0-32bit pango-devel
typelib-1_0-Pango-1_0

- Update to version 1.40.14:
+ Fix char break problem introduced in 1.40.13 (bgo#789625).
+ Add tests for char breaking.

==== pcsc-lite ====
Subpackages: libpcsclite1

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== plasma5-workspace ====
Subpackages: plasma5-session plasma5-workspace-devel plasma5-workspace-lang
plasma5-workspace-libs

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== polkit-default-privs ====

- polkit-default-privs: adding new sddm kcm actions (bsc#1065563)
- Fixed usage of %_fillupdir macro, needs to be passed to `make install` such
that the file is installed into the right location.
- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== poppler ====
Version update (0.59.0 -> 0.61.1)
Subpackages: libpoppler-cpp0 libpoppler-devel libpoppler-glib8 poppler-tools

- Update to version 0.61.1:
+ Core: CairoOutputDev: don't overflow y * stride when accessing
image data.
+ Build system:
- Fix incorrect paths in .pc files (fdo#103578).
- add the custom buildtests target only once (fdo#103003).
- Changes from version 0.61.0:
+ Core:
- Fix crashes in broken files.
- Cleanup unused functions from GlobalParams.
- Tweak LZWStream::processNextCode error handling (fdo#103174).
- Warning fixes.
- Remove t1lib code.
+ Qt5:
- Clean up the remaining Splash code in Arthur backend
(fdo#103117).
- ArthurOutputDev: Properly implement saveState/restoreState
(fdo#103118).
- Fix leak in ArthurOutputDev::updateFont (fdo#103508).
+ Build system:
- Use GNUInstallDirs (fdo#103211).
- Fix installing a .cc file as header.
- Use -pthread flag instead of -lpthread.
- Changes from version 0.60.1:
+ Qt5: ArthurOutputDev: Add missing 'return' in error paths.
+ Build system: FindLIBOPENJPEG.cmake:
Add CheckCXXSourceCompiles.
- Changes from version 0.60.0:
+ Core:
- Enable libcurl support by default.
- PSOutputDev: Fix wrong text generation (fdo#102760).
- Added methods to get and set the font size of text fields
(fdo#101692).
- CairoOutputDev: Do not extend the pattern in
drawImageMaskRegular.
- CairoOutputDev: do not use the custom downscaling for
rendering images when using cairo >= 1.14.
- Fix: Build with old clang. Various crashes in broken files.
And some warnings.
- Add some constness to the basic classes.
- Remove unused functions from GlobalParams.
+ Qt5:
- Added methods to get and set the font size of text fields
(fdo#101692).
- Add whether renderToImage shows annotations.
- ArthurOutputDev:
. Replace Splash font rendering by Qt font rendering.
. Implement the drawSoftMaskedImage method.
. Fix several small bugs related to dash pattern handling.
+ Build system:
- cmake is now the default build system.
- autotools based build system has been removed.
+ Utils: pdfinfo: don't truncate dest name.
- Drop CVE-2017-14517.patch and CVE-2017-14518.patch: fixed
upstream (fdo#102687 and fdo#102688, respectively).
- Add cmake BuildRequires; replace configure, make and make_install
macros, with cmake, make_jobs and cmake_install: following
upstream port.
- Add glib2-devel BuildRequires as it's a dependency required by
CMakeLists.
- Drop command for removal of *.la files: with the build system
port to cmake, *.la are no longer generated.

==== poppler-qt5 ====
Version update (0.59.0 -> 0.61.1)
Subpackages: libpoppler-qt5-1 libpoppler-qt5-devel

- Update to version 0.61.1:
+ Core: CairoOutputDev: don't overflow y * stride when accessing
image data.
+ Build system:
- Fix incorrect paths in .pc files (fdo#103578).
- add the custom buildtests target only once (fdo#103003).
- Changes from version 0.61.0:
+ Core:
- Fix crashes in broken files.
- Cleanup unused functions from GlobalParams.
- Tweak LZWStream::processNextCode error handling (fdo#103174).
- Warning fixes.
- Remove t1lib code.
+ Qt5:
- Clean up the remaining Splash code in Arthur backend
(fdo#103117).
- ArthurOutputDev: Properly implement saveState/restoreState
(fdo#103118).
- Fix leak in ArthurOutputDev::updateFont (fdo#103508).
+ Build system:
- Use GNUInstallDirs (fdo#103211).
- Fix installing a .cc file as header.
- Use -pthread flag instead of -lpthread.
- Changes from version 0.60.1:
+ Qt5: ArthurOutputDev: Add missing 'return' in error paths.
+ Build system: FindLIBOPENJPEG.cmake:
Add CheckCXXSourceCompiles.
- Changes from version 0.60.0:
+ Core:
- Enable libcurl support by default.
- PSOutputDev: Fix wrong text generation (fdo#102760).
- Added methods to get and set the font size of text fields
(fdo#101692).
- CairoOutputDev: Do not extend the pattern in
drawImageMaskRegular.
- CairoOutputDev: do not use the custom downscaling for
rendering images when using cairo >= 1.14.
- Fix: Build with old clang. Various crashes in broken files.
And some warnings.
- Add some constness to the basic classes.
- Remove unused functions from GlobalParams.
+ Qt5:
- Added methods to get and set the font size of text fields
(fdo#101692).
- Add whether renderToImage shows annotations.
- ArthurOutputDev:
. Replace Splash font rendering by Qt font rendering.
. Implement the drawSoftMaskedImage method.
. Fix several small bugs related to dash pattern handling.
+ Build system:
- cmake is now the default build system.
- autotools based build system has been removed.
+ Utils: pdfinfo: don't truncate dest name.
- Drop CVE-2017-14517.patch and CVE-2017-14518.patch: fixed
upstream (fdo#102687 and fdo#102688, respectively).
- Add cmake BuildRequires; replace configure, make and make_install
macros, with cmake, make_jobs and cmake_install: following
upstream port.
- Add glib2-devel BuildRequires as it's a dependency required by
CMakeLists.
- Drop command for removal of *.la files: with the build system
port to cmake, *.la are no longer generated.

==== postfix ====
Subpackages: postfix-doc

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== pulseaudio ====
Subpackages: libpulse-devel libpulse-mainloop-glib0 libpulse0
pulseaudio-bash-completion pulseaudio-lang pulseaudio-module-bluetooth
pulseaudio-module-gconf pulseaudio-module-jack pulseaudio-module-lirc
pulseaudio-module-x11 pulseaudio-module-zeroconf pulseaudio-utils

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== python ====
Version update (2.7.13 -> 2.7.14)
Subpackages: python-curses python-gdbm

- update to 2.7.14
* dozens of bugfixes, see NEWS for details
* fixed possible integer overflow in PyString_DecodeEscape (CVE-2017-1000158,
bsc#1068664)
* fixed segfaults with dict mutated during search
* fixed possible free-after-use problems with buffer objects with custom
indexing
* fixed urllib.splithost to correctly parse fragments (bpo-30500)
- drop upstreamed python-2.7.13-overflow_check.patch
- drop unneeded python-2.7.12-makeopcode.patch
- drop upstreamed 0001-2.7-bpo-30714-ALPN-changes-for-OpenSSL-1.1.0f-3094.patch

==== python-base ====
Version update (2.7.13 -> 2.7.14)
Subpackages: libpython2_7-1_0 libpython2_7-1_0-32bit python-devel python-xml

- update to 2.7.14
* dozens of bugfixes, see NEWS for details
* fixed possible integer overflow in PyString_DecodeEscape (CVE-2017-1000158,
bsc#1068664)
* fixed segfaults with dict mutated during search
* fixed possible free-after-use problems with buffer objects with custom
indexing
* fixed urllib.splithost to correctly parse fragments (bpo-30500)
- drop upstreamed python-2.7.13-overflow_check.patch
- drop unneeded python-2.7.12-makeopcode.patch
- drop upstreamed 0001-2.7-bpo-30714-ALPN-changes-for-OpenSSL-1.1.0f-3094.patch

==== python-setuptools ====
Version update (36.7.2 -> 38.2.1)
Subpackages: python2-setuptools python3-setuptools

- update to 38.2.1
* fix encoding handling of metadata when installing from a wheel
- update to version 38.2.0:
* #1200: easy_install now support installing from wheels: they will
be installed as standalone unzipped eggs.
- changes from version 38.1.0:
* #1208: Improve error message when failing to locate scripts in
egg-info metadata.
- changes from version 38.0.0:
* #458: In order to support deterministic builds, Setuptools no
longer allows packages to declare install_requires as unordered
sequences (sets or dicts).
- update to version 37.0.0:
* #878: Drop support for Python 2.6. Python 2.6 users should rely on
'setuptools < 37dev'.
- changes from version 36.8.0:
* #1190: In SSL support for package index operations, use SNI where
available.
- changes from version 36.7.3:
* #1175: Bug fixes to build_meta module.

==== python-sip ====
Subpackages: python-sip-common python2-sip python2-sip-devel python3-sip

- fix have_python conditions

==== rp-pppoe ====

- Add Requires/Requires(pre) group(dialout) (boo#1067511).
- Add %verify_permissions script for pppoe-wrapper.

==== rpm ====
Subpackages: rpm-build rpm-devel

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== rubygem-cfa_grub2 ====
Version update (0.6.3 -> 0.6.5)

- fix reading GRUB_TERMINAL (caused by fix for bsc#1068578)
- 0.6.5
- avoid crash if config file uses trailing comment (bsc#1068578)
- 0.6.4

==== sendmail ====
Subpackages: libmilter1_0

- Add _FFR_TLS_EC m4 macro definition for site configuration as
well (boo#1070065)

==== subversion ====
Subpackages: libsvn_auth_gnome_keyring-1-0 subversion-bash-completion
subversion-devel subversion-perl subversion-python subversion-server
subversion-tools

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== systemd ====
Subpackages: libsystemd0 libsystemd0-32bit libudev-devel libudev1
libudev1-32bit systemd-32bit systemd-bash-completion systemd-logger
systemd-sysvinit udev

- Import commit e30f1b10e276fb18db10ea2463fbd7146ae778f6
63481b24b firstboot: do not write vconsole.conf when arg_keymap is empty
(bsc#1070124)
- Add 0001-compat-rules-get-rid-of-scsi_id-when-generating-comp.patch
(bsc#1051465)
This patch is not yet merged in the 'compats/udev-compat-symlinks'
branch: we asked to upstream if it would be possible to introduce a
new specifier that wouldn't strip trailing whitespaces , see
https://github.com/systemd/systemd/issues/7462
Also this allows to give the patch more testing before merging it in
the git repo.
- Drop a useless rm(1) from the specfile
- Remove requires for pwdutils, we don't need the shadow tools
anymore [bsc#1069150]
- Import commit 4b9afa11f918796184e1264d618b4ff5d18e481b
22dcb1d04 tmpfiles: when /etc is not fully initialized, some specifiers are
expected to be unresolvable (#6860) (bsc#1055664)
216beb768 tmpfiles: Allow create symlink on directories (#6039)
baf85eb79 udev: net_setup_link: don't error out when we couldn't apply link
config (#7328)
- Remove stderr redirection to /dev/null when calling %tmpfiles_create
since it's not needed anymore due to commit 22dcb1d04. Indeed the
messages are no more emitted at LOG_WARN but LOG_NOTICE.
- Import commit b9a41367b6c1164318443491cc3dae0e8208e15c
86804326f systemd-firstboot: add vconsole keymap support (#7035) (bsc#1046436)
9b64225e9 resolved: fix loop on packets with pseudo dns types (bsc#1065276
CVE-2017-15908)
- Drop 0001-systemd-firstboot-add-vconsole-keymap-support.patch since
it's been merged upstream and backported to SUSE/v234 (see above).

==== totem ====
Subpackages: nautilus-totem totem-lang totem-plugin-brasero totem-plugins

- Update Url to https://wiki.gnome.org/Apps/Videos: current Totem's
web page.
- Add upstream stable branch bug fix commits:
+ totem-remove-pycopile.patch (bgo#787965).
+ totem-fix-properties-crash.patch (bgo#787996).
+ totem-add-opus-ogg.patch (bgo#788440).
+ totem-fix-gtk-doc.patch (bgo#789202).
+ totem-nb-translations.patch.
- Enable gtk-doc BuildRequires again and pass -Denable-gtk-doc=true
to meson, no longer fails to build.
- No longer Provide and Obsolete totem-devel, we have been building
this sub-package again for a long time.
- Stop removing SWF and Real mime types.
- No longer pass suse_update_desktop_file macro, no longer needed.

==== tracker ====
Version update (2.0.1 -> 2.0.2)
Subpackages: libtracker-common-2_0 libtracker-control-2_0-0
libtracker-miner-2_0-0 libtracker-sparql-2_0-0 tracker-lang
typelib-1_0-Tracker-2_0 typelib-1_0-TrackerControl-2_0

- Update to version 2.0.2:
+ tests: Cleanups and Coverity fixes. A testsuite for
libtracker-miner's TrackerMinerFS object was added.
+ meson: Many small improvements.
+ libtracker-common: Preparation work to be able to build
tracker/tracker-miners as a bundle.
+ libtracker-direct: Implement update_array_async()
+ libtracker-miner:
- Multiple cleanups and code simplifications.
- Properly honor lack of CHECK_MTIME flag, resulting on faster
startup times if it's not set.
+ Updated translations.
- Update Url to https://wiki.gnome.org/Projects/Tracker: current
Tracker's web page.

==== tracker-miners ====
Version update (2.0.2 -> 2.0.3)
Subpackages: tracker-miner-files tracker-miners-lang

- Update to version 2.0.3:
+ meson: Multiple cleanups and fixes.
+ tracker-extract: Do not overwrite nie:dataSource.
- Update Url to https://wiki.gnome.org/Projects/Tracker: current
Tracker's web page.

==== unbound ====
Subpackages: libunbound2 unbound-anchor

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== update-alternatives ====

- Migrate u-a data from /var/lib/rpm instead of relying on dbpath:
no u-a version ever installed files explicitly into dbpath, but
always hard specified /var/lib/rpm. The fact that RPM moved its
database is irrelevant to update-alternatives. In case RPM moved
it's database, our files are still accessible via the
/var/lib/rpm symlink being put in place.
- Drop the arbitrary depenency on a specific rpm version: the idea
was to ensure to have an rpm with the new dbpath location in
place. For one, the dependency does not work as intended, and
2nd, as the migration now happens explicitly from the old u-a
admindir without relying on dbpath, is no longer needed.
- Move update alternatives database to new location
- Update rpm requirements to avoid unnecessary builds
- Use dbpath macro for locationg rpm state directory
- Require exactly same version of rpm we had when building to make
sure dbpath matches

==== vala ====
Version update (0.38.2 -> 0.38.3)
Subpackages: libvala-0_38-0

- Update to version 0.38.3:
+ Various bug fixes:
- codegen: Prioritize "array_length=true" over
"array_null_terminated=true" (bgo#788775).
- codegen: Avoid possible conflicts with internal
property/signal defines (bgo#788964).
+ Bindings:
- gio-2.0: Expose g_task_get_source_object as
Task.get_unowned_source_object.
- gstreamer-1.0: Update from 1.13+ git master.
- gtk+-4.0: Update to 3.92.1.
- libxml-2.0: Add DTD methods (bgo#789442).

==== vinagre ====
Subpackages: vinagre-lang

- Change appstream file location due to appstream-glib >= 0.7.3.

==== virt-manager ====
Subpackages: virt-install virt-manager-common

- Upstream bug fixes (bsc#1027942)
b9bc3b60-undefine-only-persistent-domain.patch
7fc7e94f-fix-virtio-scsi-controller-target-calculation.patch
2eb455c9-correctly-calculate-virtio-scsi-controller-index.patch
- bsc#1067263 - virt-install: ERROR unicode argument expected, got
'str'
f836e47b-virtinst-Fix-URLFetcher-for-reading-files.patch
- Drop virtinst-fix-replace-StringIO-with-io.patch

==== virtualbox ====
Subpackages: virtualbox-host-kmp-default virtualbox-qt

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)
- Remove file "fix_KMS_support.patch" - Fixed upstream
Add new patch file "fixes_for_4.15.patch".
Modified vboxconfig.sh to issue a warning when there is a version mismatch
rather than abort.

==== x11-tools ====

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== xdm ====
Subpackages: xdm-xsession

- move /var/adm/fillup-templates/sysconfig.displaymanager
to %_fillupdir on TW and sle15/Leap 15
- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)
- xdm.tar.bz2: Fix Xstartup, that couldn't handle env DISPLAY=(null)
(bsc#1068016, patch by xwang@xxxxxxxx)

==== xen ====
Version update (4.10.0_01 -> 4.10.0_03)
Subpackages: xen-doc-html xen-libs xen-tools xen-tools-domU

- Update to Xen 4.10.0-rc6 (fate#321394, fate#322686)
xen-4.10.0-testing-src.tar.bz2
- Since xen switched to Kconfig, building a debug hypervisor
was done by default. Adjust make logic to build a non-debug
hypervisor by default, and continue to provide one as xen-dbg.gz
- fate#316614: set migration constraints from cmdline
fix libxl.set-migration-constraints-from-cmdline.patch for xen-4.10
- Document the suse-diskcache-disable-flush option in
xl-disk-configuration(5) (bsc#879425,bsc#1067317)
- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)
- Update to Xen 4.10.0-rc5 (fate#321394, fate#322686)
xen-4.10.0-testing-src.tar.bz2
- fate#323663 - Run Xenstore in stubdomain
xenstore-run-in-studomain.patch
- bsc#1067224 - xen-tools have hard dependency on Python 2
pygrub-python3-conversion.patch
xenmon-python3-conversion.patch
migration-python3-conversion.patch
xnloader.py
xen2libvirt.py
- Remove xendriverdomain.service (bsc#1065185)
Driver domains must be configured manually with custom .service file

==== xfce4-terminal ====
Version update (0.8.5.1 -> 0.8.6)
Subpackages: xfce4-terminal-lang

- Update to version 0.8.6:
- Fix handling email addresses
- Allow per-tab configuration of dynamic tytle mode and initial
title by adding --dynamic-tytle-mode and --initial-title
options (bxo#2908)
- Migrate tab 'Set Title' dialog to a gtk popover (bxo#13522)
- Add option to select cursor foreground (text) color
- Fix drop-down terminal ignoring 'move to monitor with pointer'
option (bxo#13666)
- Disable Ctrl+PgUp/PgDn shortcuts with only one tab (bxo#10469)
- Fix negative dimensions GTK warning when running terminal with
- -tab option
- Update regexes from gnome-terminal
- Fix --tab option broken lately (bxo#13587)
- Fix drop-down window positioning when using --zoom option
- Translation updates

==== xinetd ====

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== xorg-x11-server ====
Subpackages: xorg-x11-server-sdk

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)

==== xscreensaver ====
Subpackages: xscreensaver-data xscreensaver-data-extra xscreensaver-lang

- Remove libgnome-devel from BuildRequires; appears to be unused
(boo#1067727).

==== yast2-apparmor ====
Version update (4.0.1 -> 4.0.2)

- fix textdomain to apparmor (bsc#1065569)
- 4.0.2

==== yast2-core ====
Version update (4.0.0 -> 4.0.1)

- add jemalloc dependency for y2base which is used only in old
testsuite and that workarounds problem with dynamic dlopening
of jemalloc in ruby (bsc#1068883)
- 4.0.1

==== yast2-inetd ====
Version update (3.1.13 -> 4.0.0)

- Fixed build failure caused by a jemalloc warning printed on
the STDERR (bsc#1068883)
- 4.0.0

==== yast2-perl-bindings ====
Version update (3.2.0 -> 4.0.0)

- Fixed build failure caused by a jemalloc warning printed on
the STDERR (bsc#1068883)
- 4.0.0

==== yast2-ruby-bindings ====
Version update (4.0.0 -> 4.0.2)

- Better backtrace for dynamically defined methods (bsc#1066290)
- 4.0.2
- Hardcode the Ruby version in the y2start script to always use
the Ruby version used at the build time (bsc#1068863)
- 4.0.1

==== yast2-users ====
Version update (4.0.0 -> 4.0.1)

- AutoYaST: Write and export SSH authorized keys also for root user
(bsc#1066342).
- 4.0.1

==== ypbind ====

- Prepare for new fillup location
- Remove check for transactional-update, done in systemd macros now

==== zenity ====
Version update (3.24.0 -> 3.26.0)

- Update to version 3.26.0:
+ Use GtkFileChooserNative for the file chooser.
- Changes from version 3.24.1:
+ Fix:
- Style.
- Message dialog width and height on recent Gtk.
- Misleading indentation.
+ Add clang-format script.
+ Bug 762347: Addition of entry text width option.
+ Updated translations.
- Changes from version 3.24.2:
+ No changes.
- Update Url to https://wiki.gnome.org/Projects/Zenity: current
Zenity project's web page.
- Point fdupes to the data directory instead of the build root,
which is a practice that must be avoided.
- Remove %clean section as it's no longer needed since RPM now does
the job by itself.
- Replace intltool by gettext BuildRequires: since upstream did the
migration long ago and we don't want deviations to avoid bugs.

==== zypper ====
Version update (1.13.37 -> 1.14.0)
Subpackages: zypper-aptitude zypper-log

- Update manpage regarding custom repository variable fixes
(bsc#1057640, bsc#1067605)
- Version 1.14.x for CODE-15, 1.13.x. is continued on SuSE-SLE-12-SP2-Branch
- version 1.14.0

==== zypper-lifecycle-plugin ====

- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >